/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file app_sigmadelta_adc.h
**
** 
**
** History:
** 
******************************************************************************/
#ifndef __APP_SIGMADELTA_ADC_H__
#define __APP_SIGMADELTA_ADC_H__
/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "app_config.h"


/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/


/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/

typedef struct{
	uint8_t Ldo;				//LDO ѹ
	uint8_t LdoBypass;			//LDO 
	uint8_t LdoOutProtectEn;	//LDO 	
	uint8_t AdcFre;				//ADCƵ
	uint8_t Osr;				//ADCʴ洢м
	uint8_t SpeedSel;			//ADC
	uint8_t PGASel;				//PGA
	uint8_t ChannelSet;			//ͨ
	uint8_t ChannelSel;			//ͨѡ
	uint8_t Power;				//Power
	uint8_t ADCChopFre;			//ADCն
	uint8_t ChopFre;			//ն
	uint8_t ChopEn;				//նʹ
	uint8_t Trim_OS;			//OS
	uint8_t DeadZone;			//
	uint8_t Trim_BG;			//BG
	
	uint8_t Config1;
	uint8_t Config2;
	uint8_t Config3;
	uint8_t Config4;	
	
	int32_t Data;				//24λADC

}SiDaADC_Str;

extern  SiDaADC_Str   SiDaAdcStr;

/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/

/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/

/******************************************************************************
 ** \brief	 SigmadeltaADCConfig
 **			 
 ** \param [in] none
 ** \return  none
 ** \note  
*****************************************************************************/
void SigmadeltaADCConfig(void);




#endif /* __APP_SIGMADELTA_ADC_H__ */







