/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file app_config.h
**
** 
**
** History:
** 
******************************************************************************/
#ifndef __APP_CONFIG_H__
#define __APP_CONFIG_H__
/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "bsp_config.h"
#include "app_sigmadelta_adc.h"
#include "app_tool.h"
#include "stdio.h"


/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/


/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/
typedef struct{
	
uint8_t SysScaFalg;		//扫描标志
		
uint8_t KeyEn;			//按键按下有效标志
uint8_t KeyTemp;		//显示按键值得中间变量
uint16_t PriceTab[5];	//价格变量
uint8_t KeyPoint;		//小数点是否有效
uint8_t KeyCount;		//按下的次数计数
		
uint8_t KeyBacklight;		//按下的次数计数	
uint8_t KeyPeelEn;		//按下的次数计数		
	
	
	
uint8_t  BuzzerEn;		//蜂鸣器使能
uint16_t BuzzerCount;	//计数

	
//VDD
uint16_t PowerVDD;	
	
uint32_t SiDaPosSum;			//过采样滤波输出
uint32_t SiDaNegSum;			//过采样数据输出	
uint8_t SiDaFlagcnt;			//过采样数据输出	
uint8_t SiDaFlagOk;			//过采样数据输出		
	
	
	
//过采样滤波参数
uint32_t SiDaSpAvgFilTab[6];	//过采样滤波(递推中值平均滤波)
uint32_t SiDaSpAvgFil;			//过采样滤波输出
uint32_t SiDaSample;			//过采样数据输出	

//显示判断差值
uint32_t  SiDaAbsoluteJudge;	//绝对值差值0

//显示与零点的差值
uint32_t  SiDaAbsolute;			//绝对值差值
uint8_t   SiDaAbsolutePolairty; //正负	

//分度值分离
uint16_t  SiDaIndexMax;			//大于分度值部分
uint32_t   SiDaValue;			//差值


// 开机自检
uint16_t   OpenTestTime;
uint16_t   SiDaOpenTest;

// 工作
uint8_t    WorkFlag;
uint32_t   WorkShakeValue;
uint8_t	   WorkShakePosCnt;

uint8_t	   WorkDpFlag;
uint8_t	   WorkDpCnt;
uint8_t	   WorkDpJudgeCnt;
uint32_t   WorkDpFast;


//追零
uint16_t   FlwZeroCnt;
uint8_t    ZeroCnt;
uint32_t   ZeroAvgFilTab[6];		//第一级滤波(递推中值平均滤波)
uint32_t   ZeroAvgFil;			//第一级滤波输出


uint8_t   	FlwZeroPosP;
uint8_t   	FlwZeroPosCnt;
uint8_t   	FlwZeroNegP;
uint8_t   	FlwZeroNegCnt;


//获取的重量值
//滤波参数
uint32_t SiDaAvgFilTab[6];		//第一级滤波(递推中值平均滤波)
uint32_t SiDaAvgFil;			//第一级滤波输出

//状态机
uint8_t  SiDaFlag;

//消抖

//数据稳定期  3S
uint8_t  SiDaHoldTime;  
//标定
uint32_t  SiDaZero;					//零点值
uint8_t  SiDaZeroFrlg;				//追零标志

float  fweight;
uint8_t weightPolairty;	
		
uint32_t Price;			//单价单位：分
uint32_t Weight;		//重量单位：g	
uint32_t Money;		//单价单位：分




}Str_Tool;

/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/

extern Str_Tool str_tool;

/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/


#endif /* __APP_CONFIG_H__ */







